# Bounties

## What are Manifold bounties?

From time to time, a member of our community goes above and beyond in helping Manifold make prediction markets accessible & ubiquitous. We’d like to recognize such contributions publicly, and include a token of our appreciation in the form of M$!

Examples of community work that may be eligible for a bounty:

- Blog posts, markets, or comments which lead us to significantly change our views
- A track record of creating markets that help people make better decisions
- Promoting Manifold & forecasting to a wider audience
- Identifying serious exploits with our financial infrastructure

Our community is the beating heart of Manifold; your individual contributions are what make this platform valuable at all. Thanks to everyone listed here (as well as countless unnamed others) for your help & support!

## Awarded bounties

💥 *Awarded on 2022-10-07*

**[Pepe](https://manifold.markets/Pepe): M$10,000**
**[Jack](https://manifold.markets/jack): M$2,000**
**[Martin](https://manifold.markets/MartinRandall): M$2,000**
**[Yev](https://manifold.markets/Yev): M$2,000**
**[Michael](https://manifold.markets/MichaelWheatley): M$2,000**

- For discovering an infinite mana exploit using limit orders, and informing the Manifold team of it privately.

**[Matt](https://manifold.markets/MattP): M$5,000**
**[Adrian](https://manifold.markets/ahalekelly): M$5,000**
**[Yev](https://manifold.markets/Yev): M$5,000**

- For discovering an AMM liquidity exploit and informing the Manifold team of it privately.

🎈 *Awarded on 2022-06-14*

**[Wasabipesto](https://manifold.markets/wasabipesto): M$20,000**

- For creating an awesome stats page which features and analyses various data sets! This can be found on the second tab of our [analytics page](https://manifold.markets/stats).

**[Jack](https://manifold.markets/jack): M$10,000**

- For adding a bunch of charities to [Manifold for Good](https://manifold.markets/charity), working out market math with Austin, and excellent comment activity.

**[Forrest](https://manifold.markets/Forrest): M$10,000**

- For a variety of [open source code contributions](https://github.com/manifoldmarkets/manifold/commits?author=ForrestWeiswolf), making our code base easier to use and maintain.

**[IsaacKing](https://manifold.markets/IsaacKing): M$10,000**

- For responsible disclosure of an exploit involving liquidity withdrawal, which has [now been fixed](https://github.com/manifoldmarkets/manifold/pull/472)! Removing one infinite money glitch at a time.

**[Sjlver](https://manifold.markets/Sjlver): M$5,000**

- For responsible disclosure of a potential exploit. We would say what it is, but it isn’t quite fixed yet! 🤫

_🌿 Announced on 2022-05-02_

**[Marshall Polaris](https://manifold.markets/mqp): M$200K**

- For spearheading the effort to [open-source Manifold](https://github.com/manifoldmarkets/manifold), by documenting our processes, triaging bugs, and improving the new contributor experience.
- Marshall contributed over 2 weeks of part-time volunteer work; as such, we are awarding an amount that reflects the extraordinary amount of effort he’s put in.

**[Vincent Luczkow](https://manifold.markets/VincentLuczkow): M$10,000**

- For building and releasing https://github.com/vluzko/manifold-markets-python, a super cool Python visualization of the calibration accuracy of all Manifold markets. Turns out we’re doing okay!

**[Akhil Wable](https://manifold.markets/AkhilWable): M$10,000**

- For writing up [Akhil’s Product Suggestions](https://www.notion.so/Akhil-s-Product-Suggestions-672e1cba393d4242852ff95ae79528df), an extensive, thoughtful list of improvements we could make to our platform.

**[Alex K. Chen](https://manifold.markets/AlexKChen): M$6,000**

- For the creation of a metric ton of innovative, long term questions. At the time of award, Alex was singlehandedly responsible for 20% of all markets posted in April.

**[ZorbaTHut](https://manifold.markets/ZorbaTHut): M$5,000**

- For [testing out futarchy](https://manifold.markets/tag/themotte_leaving) on an important problem for the community of The Motte.

**[Tetraspace](https://manifold.markets/Tetraspace): M$3,500**

- For the creation of [a focused set of questions on UK politics](https://twitter.com/TetraspaceWest/status/1516824123149848579), with relevant real-world predictions.
- For the idea and execution of using FR bounded buckets for mapping out a scalar range ([example market](https://manifold.markets/Tetraspace/if-ron-desantis-is-elected-presiden), [discussion here](https://manifold.markets/StephenMalina/how-many-daily-active-users-will-ma)).

**[tcheasdfjkl](https://manifold.markets/tcheasdfjkl): M$2,500**

- For calling out numerous areas of improvement, e.g. around our profit numbers being wonky, and problems with the DPM ⇒ CFMM market conversions.

**[Jack](https://manifold.markets/JackC): M$500**

- For recommending we list the Long-Term Future Fund as a supported charity.

**[N.C. Young](https://manifold.markets/NcyRocks): M$500**

- For recommending we list the Givewell Maximum Impact Fund as a supported charity.

  \**🥧 *Awarded 2022-03-14\*

**[Kevin Zielnicki](https://manifold.markets/kjz): M$10,000**

- For identifying issues with our Dynamic Parimutuel Market Maker in an [excellent blog post](https://kevin.zielnicki.com/2022/02/17/manifold/) (and [associated market](https://manifold.markets/kjz/will-manifolds-developers-agree-wit)), leading us to change to a different mechanism.

**[Pepe](https://manifold.markets/Pepe): M$10,000**

- For developing the function used in our Constant Function Market Maker, making it easier for us to provision liquidity compared to a CPMM.

**[Gurkenglas](https://manifold.markets/Gurkenglas): M$5,000**

- For concrete suggestions around improving our market maker algorithms, and creating useful graphs to make our different market makers more legible.

**[Scott Alexander](https://manifold.markets/ScottAlexander): M$5,000**

- For [developing and publicizing the idea of providing interest-free loans on each market](https://astralcodexten.substack.com/p/play-money-and-reputation-systems), helping make long-term markets more accurate.

**[David Glidden](https://manifold.markets/dglid): M$5,000**

- For taking on the mantle of [@MetaculusBot](https://manifold.markets/MetaculusBot), which allows traders access to a wider spread of topics, and permits head-to-head comparisons between our prediction markets and other forecasting platforms.

**[Isaac King](https://manifold.markets/IsaacKing): M$5,000**

- For [compiling an FAQ](https://outsidetheasylum.blog/manifold-markets-faq/) that answers a variety of questions that new users commonly face, and also inspiring us to move to [this open-source docs platform](https://docs.manifold.markets/).

**[Blazer](https://manifold.markets/BlazingDarkness/was-it-an-unpleasant-surprise-when): M$2,500**

- For [calling out our mistake](https://manifold.markets/BlazingDarkness/was-it-an-unpleasant-surprise-when) in retroactively publicizing the market creator’s trades, leading us to revert this feature entirely.

⛑️ _Awarded 2022-01-09_

**[Duncan](https://manifold.markets/Duncan): USD $50**

- For identifying and confidentially reporting an exploit where entering negative numbers into the trade box would allow the trade to go through.
- _Note: this was denominated in USD, as it predated the creation of our bounty program._

## Final note

If a particular contribution isn't listed here, that doesn't mean we didn't really appreciate it. There’s so much great work by our community; we aren't always able to catch them all!

If you feel that someone's exceptional contribution has fallen through the cracks (including your own!), please consider creating a market for “Will <X\> be recognized for a Manifold bounty?” and posting it on our Discord. Thanks!

## See also

- [Will Manifold implement retroactive public goods funding by June 1?](https://manifold.markets/Austin/will-manifold-implement-retroactive)
- [Bounties as described on LessWrong](https://www.lesswrong.com/tag/bounties-active)
- Mistakes pages we admire: [Scott Alexander](https://astralcodexten.substack.com/p/mistakes), [Nintil](https://nintil.com/mistakes), [80K Hours](https://80000hours.org/about/credibility/evaluations/mistakes/)
- [Donald Knuth’s reward checks](https://en.wikipedia.org/wiki/Knuth_reward_check)
  ![https://imgs.xkcd.com/comics/applied_math.png](https://imgs.xkcd.com/comics/applied_math.png)
